package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractBatchRecallResultRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【批量操作id】批量操作id 【作用】 用于查询批量撤回文件操作的结果，该参数可在调用 <docs>/contract/batch/recall</docs> 后的返回参数中获取
	BatchId string `json:"batchId"`
}

func (obj ContractBatchRecallResultRequest) GetUrl() string {
	return "/contract/batch/recall/result"
}

func (obj ContractBatchRecallResultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
